/*
 * This file is part of essential.
 *
 *     essential is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 *
 *     essential is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with essential.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.craftforge.essential.example.resources;

import net.craftforge.essential.controller.ControllerException;
import net.craftforge.essential.controller.annotations.Path;
import net.craftforge.essential.example.model.Customer;
import net.craftforge.essential.example.resources.bindings.CrudBinding;

/**
 * @author Christian Bick
 * @since 09.08.11
 */
@Path("/customer")
public class CustomerResource extends PersistentResource<Customer> implements CrudBinding<Customer> {

    @SuppressWarnings("unused")
    public Customer create(Customer entity) throws ControllerException {
        return getCrudDao().createEntity(entity);
    }

    @SuppressWarnings("unused")
    public Customer update(Integer id, Customer entity) throws ControllerException {
        return getCrudDao().updateEntity(id, entity);
    }

    @SuppressWarnings("unused")
    public Customer read(Integer id) throws ControllerException {
        return getCrudDao().readEntity(Customer.class, id);
    }

    @SuppressWarnings("unused")
    public void delete(Integer id) throws ControllerException {
        getCrudDao().deleteEntity(Customer.class, id);
    }
}
